# Introduction review proposal (latest outline given by Thomas)
  
Models of hierarchical structures for language (aim for 3000 words, 2 figures, 1 table)

### Intro (200 words):
  
a general picture of what is going on in language research. Show why these are exciting times (progress in neuroscience, progress in machine learning). Are we on the verge of solving language in the brain? Or, still aeons away?

### A critical review of the challenges that language models must confront (800 words).
  
“What would count as a satisfying answer to the question of how humans process and produce language?”  
+ Challenges from Chomsky  
+ Challenges from Fodor and Pylishin  
+ Challenges from Jackendoff  
+ Mention criticisms of these views (e.g. Peter Norvig. Chalmers. Paul Smolensky?). Possibly, we dismiss some of these points and add the true challenges we think are relevant (Christophe’s ideas on the ability to detect repetitions of subsequences?).

### A thorough evaluation of the statement: “Humans use trees to process and produce language”. (800 words)
  
Figure 1: evidence for language trees in the brain  
+ Evidence from linguistics and the mathematical theory of language (discuss alternative interpretation without trees, if any)  
+ Evidence from the cognitive neuroscience of language. Use Christophe’s courses and Stan’s CdF lectures. (discuss alternative interpretation without trees, e.g. Frank, Bod & Christiansen)  
+ Evidence for trees in other cognitive domains e.g. music, motor planning, automatic sequences of actions, scene recognition (?) cf. Fitch “dendrophilia” review. (discuss alternative interpretation without trees, if any)  
+ Possibly, based on this review, we weigh in on whether the statement is true or not.

### Review and discuss whether the challenges above (section 1) have been or can be met, with or without trees (section 3) (800 words).
  
Figure 2: explicit vs non-explicit tree models for language  
+ Explicit tree models  
    + Blackboards (Marc. Recent developments.)  
    + Tensor products (Paul. Recent developments. Evaluate the claim that they contain other models a special cases)  
    + HRRs (with Spaun)  
    + Reservoir (Dominey)  
+ Non-explicit tree models  
    + SRNs (Elman)  
    + RAAM (Pollack)  
    + RNNs, LSTM (deep learning people)  
    + Image-to-caption models

Is it the case that non-explicit tree models actually implement trees but we just haven’t been looking right at them?

Table 1: Models and challenges. (lines: models, tree-explicit first, non-tree explicit second. Columns: challenges. Possible grouped by people who stated them. We put ticks in a box whenever a model is known to have met a challenge.

This section should deliver a useful assessment of models coming from both cognitive neuroscience and from machine learning (see e.g. previously sent material from Thomas, add other deep learning models, such as “image to caption models”), organized into the explicit tree vs non-explicit tree polarity.

We conclude (200 words): Yes/No the challenges were the right ones, Yes/No they have been met, Yes/No with trees, Yes/No non-explicit tree models are explicit tree models that should do their coming out.