# Language Atlas creation and labeling

+ Mask for atlas creation is derived from language localizer/s.
    + We perform in 10/20 subjects the localizer in two sessions to validate test-retest reliability.
    + We consider a data sample of 50+. Should we consider visual, auditory and other localizer modalities together?
    + We attempt some simple tests for outlier detection, like dot products between maps.
    + Once clear outliers are discarded a mixed effects model based on Roche et al.\cite{roche2007mixed} is used to get a group contrast.
    + We perform permutation tests to assess FWE statistics on clusters and voxels. Then we make some decisions on the thresholding to extract the mask.
    + We dilate the mask by n voxels?
+ I can use Dohmatob sparse dictionary learning to create an atlas\cite{dohmatob2016learning}.
    + We create an atlas only inside language mask obtained previously.
    + z scores of beta maps, z scores of contrast maps and z scores of onset maps can be used to derive components.
        + Pakmadilok provides different tree structures, particularly emphasizing center embeddings. visual and auditory.
        + PNAS offers visual and auditory stimuli with increasing number of right branched trees (I would not take other languages beside french)
        + Simpcomp provides simple composition in right branched trees and word lists.
        + Is Vagarshakian coherent for the atlas? considering the manipulation is more about destroying comprehension with compression than about differences in language stimuli?. I would take the beta maps of the completely comprehensible stimuli. Maybe only one condition? Is the right branched trees of Vagarshakian giving use something different from PNAS?
        + An interesting question is if we exclude modalities of the language localizer to be used here instead, for example auditory localizer.
    + The weights on the components of the maps can be used to evaluate explained variance of the model in different datasets. To get an idea about how information from all stimuli is being captured? Are some features better explained than others?
    + Number of components is selected like in Bertrand et al.\cite{thirion2014fmri} with accuracy-reproducibility criteria.
+ We attempt to label the atlas from stimuli categories. This can lead to a hierarchical processing characterization of clusters that should agree with ROI analysis from employed experiments and give similar predictions in clusters belonging to the same components.
    + One alternative is to perform in 10/20 subjects in two sessions a simple paradigm using various language stimuli and evalutate in each atlas cluster intersession accuracy. We use the confusion matrices to get an idea of cluster preferences of stimuli. Moreover we take different sessions to validate test-retest reliability.
    + Another alternative is to simply look at the explained variance of each component on the different datasets and label all the clusters in that component according to some pattern appreciated.