# The nonlinear hemodynamics of language stimuli

## Objectives
+ Primary Objectives/Manipulations:
    + Correction factor map/atlas for amplitude hemodynamic nonlinearity due to word ISI and phrase length.
    + Correction factor map/atlas for onset hemodynamic nonlinearity due to word ISI and phrase length.
    + Check interaction between amplitude and onset nonlinearity. Carefully check claims from Thompson et al.\cite{thompson2014larger} recent paper.
    + Check if breaking periodicity of word ISI in longest phrase affects nonlinearity in average. Jittered ISI vs fixed ISI.
+ Secondary Objectives/Manipulations:
    + If we consider a very small TR we can check out onset misespecification issues. Particularly we can test how derivative HRF models and others like sin/cos perform under artificial reduction of our TR. In the case of the derivative HRF models we can test claims and corrections for PSC estimation made by Pernet et al.\cite{pernet2014misconceptions} when the derivative is also taken into account. This could lead to an onset misespecification correction map/atlas for language stimuli.
    + Could test in word list condition if nonlinearity attributed to word ISI remains similar. Should be the case if the same neural circuits are employed to process all words. In early processing regions (before syntactic constructions take place) hemodynamic amplitude should not even differ from Phrases. Finishing Simpcomp analysis should give more insights about this point.
    + If right/left branched trees are included, is possible to use dataset to test predictions from Neural Blackboard Architecture on hemodynamic responses for different parsing schemes, since top down and bottom up parsing naturally lead to different predictions on this kind of trees. Something like left corner parsing might need other kind of tree structure to be included. Moreover word ISI nonlinearities should be unrelated to phrase structure, since we expect to correct all phrases by the same factors.
    + Can test for effect of stacking phrases like in in PNAS paper. Is this stacking effect different from word lists?. I would think that stacking phrases should not influence word ISI nonlineraties. I would attribute specific nonlinear effects of stacking to memory circuits constraints. Could extend NBA simulations to account for some memory effects to also compare with PNAS if this is taken into account. There could also be arguments for syntactic priming in this type of design. This requires some extra discussion.
    + Could consider Phrase ISI also, since this is also a problem in language designs. Although at least having more than 4s should avoid strong nonlinearities, which are unavoidable on word sequences. This should be informed from PNAS paper, should take the ISI there and some other to compare, maybe something like 6s and 12s?. This also is very relevant to inform experiments with natural reading. I am not sure how the natural reading setting is controlled but I imagine long ISI (and not very long) would only be considered between paragraphs and not sentences.

## Experimental design

Factors:
+ word ISI duration. 300, 600, 900, 1200ms? and jittered condition in 1200 ms since allows the biggest time variability? Try to select times to avoid interpolation of corrections in Simpcomp, PNAS and Pakmadilok.
+ number of words. (3, 6, 9) words or (4, 8, 12). Could then have stacked designs of (3-3 and 3-3-3) or (4-4 and 4-4-4) to compare. Relevant due to PNAS.
+ right branched vs left branched phrases 
+ Phrase ISI (6s, 12s)? "run parameter" or simply go for safe one 12s?

12 conditions for core design with word ISI duration and phrase number of words. 20 conditions if we also have stacked design.  
24 different conditions if we consider also different branching. 40 conditions if we also have stacked design.  
Phrase ISI would multiply sessions. Should discuss that further, could have interesting implications on the correction factors and lead to recommendations for natural reading settings.

Could add word lists for some subset of conditions as sanity check? enriched comparison with stacked designs? Few conditions should be added since already too many are proposed.

Having a two session design per subject would alleviate sampling problem of number of conditions. Particularly considering that in this design big phrase ISI are necessary since we want to capture hemodynamic nonlinearities specific to phrase constructions and not due to stimuli overlap. Stacked designs already allow us to get an idea of a phrase of ISI of extremely short duration. Having a reduced TR should help improve our estimation of hemodynamic peak onset with fewer trials. The idea is to analysis this dataset with a FIR design. Moreover I would like to express the results of this paper in PSC, but as I understood from the recent review on this of Pernet et al.\cite{pernet2014misconceptions} there is a  problem regarding selection of an appropriate baseline, the decision can be very subjective. So deciding on an appropriate way of establishing a baseline for language stimuli could be another contribution of this work and inform future experiments in the lab. Moreover if there is an important HRF peak-onset interaction establishing the actual PSC would be important to inform the correction factors interpretation in new experiments.

Having a reduced TR could also help validate methodologies of peak onset estimation and check out stimuli onset misespecification issues.  
We could have a left hemisphere acquisition with a TR of around 300ms and 5x5x5 isometric voxels in a 3T scanner. The sequence was already implemented by Alexis, just need to run a pilot to test it and the preprocessing steps of a half hemisphere image.

I think reproducing some nonlinearity effect related to duration in visual areas as a sanity check could be useful? particularly to validate that the short TR sequence work appropriately? I need to go back to a small literature review of hemodynamic nonlinearities centered on visual areas to make up my mind about this.