# Thesis Writing Plan (storytelling)

+ Title: Brain bases for parsing hierarchical structures in (symbol systems?) 
    + "Instead of language and mathematics as is the original thesis title". Symbol systems is coherent with Smolensky terminology and avoids justifying why some work is with numbers, some with syllables and some with syntax.
+ Introduction: 
    + What about planned review? Should identify then whats missing from it to complete the introduction of the thesis.
    + Should touch the related but separate problems of "hierarchical representation" and "parsing".
    + We want to test with neuroimaging measurements (fMRI, MEG, ECOG) models of the brain mechanisms behind encoding of hierarchical representations and parsing of such structures.
    + We can clarify that there are several levels in symbols systems at which hierarchical structures are useful, from phonology to semantics in language and numbers and formulas in mathematics.
    + (I think is important to distinguish between the grammar theory selected in syntax for the hierarchical representation and the parsing algorithm. I like the way Jhon Hale presents the distinction\cite{hale2014automaton}).
    + Smolensky tensor products has a prediction on the encoding that we translate to fMRI measurements for simple structures, but very difficult to test in more complex structures\cite{smolensky2006harmonic}.
    + I would like to also test the time course of neural activity predicted by his model in "Optimization and quantization in gradient symbol systems"\cite{smolensky2014optimization} but it seems too complex to manage to do for the thesis, we should discuss this.
    + In the case of Marc de Kamps, there is a model implementable with biological neural networks for which a "grammar theory, parsing scheme" pair can be tested against neuroimaging data, we find that it makes reasonable qualitative prediction, moreover it permits to fit the model to ECOG and then make predictions on fMRI and possible MEG.
+ Section 0. Methodological work useful for the analysis:
    + HRF onset estimation method
    + Creation of a language atlas (to be used in all experiments except numbers)
    + Implementation of The Neural Blackboard Architecture
    + What about review on the nonlinearties of hemodynamics to support concerns of language stimuli.
    + Understanding the nonlinear hemodynamics of language stimuli. Map of correction factors on top of language atlas.
    + Possible simulation of neural time series of Smolensky parsing in paper "Optimization and quantization in gradient symbol systems".
+ Section 1: The problem of representation
    + Smolensky prediction on simple symbolic structures. Test in numbers and syllable pairs in FMRI datasets.
    + Phrase grammar vs Dependency grammar in Marc de Kamps simulation, what theory is favored according to the ECOG and fMRI measurements.
+ Section 2: The problem of parsing
    + Comparison of parsing schemes. Bottom up, top down and left corner with NBA simulation on ECOG and fMRI.
    + Corpus neural activity prediction for stimuli selection to test grammar theories and parsing schemes.
    + Would be great to have time to make a test of the Smolensky time series in a similar way to the test of the NBA time series? But likely is too much.

One problem I have with this argumentative structure is that:

+ there are many holes in the link between Smolensky mathematical framework, for the representation and parsing, and the neuroimaging measurements.
+ in the case of the blackboard the (grammar theory, parsing scheme) prediction comes in a pair that can not really be separated, while in the case of Smolensky this mechanisms have independent proposals one based on the tensor products and the other based on the optimizaion and quantization mechanisms. Nonetheless Smolensky is so general that is insensitive to grammar theory and parsing schemes differentiation, by this I mean that the same vectors could represent different grammar theories and the optimization algorithm becomes its own abstract parsing scheme interpretation. We should have a final discussion regarding this.